org.eclipse.ease.modules.unittest.components

## Class TestSuiteModel.Variable

- java.lang.Object
- - org.eclipse.ease.modules.unittest.components.TestSuiteModel.Variable

Enclosing class:
  TestSuiteModel

    public class TestSuiteModel.Variable
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Variable(String identifier, String content, String description, IPath path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContent()`
`String` `getDescription()`
`String` `getName()`
`IPath` `getPath()`
`void` `setContent(String content)`
`void` `setDescription(String description)`
`void` `setName(String name)`
`void` `setPath(IPath path)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Variable

    public Variable(String identifier,
                    String content,
                    String description,
                    IPath path)

### Method Detail

#### getContent

    public String getContent()

#### getDescription

    public String getDescription()

#### getName

    public String getName()

#### getPath

    public IPath getPath()

#### setName

    public void setName(String name)

#### setDescription

    public void setDescription(String description)

#### setContent

    public void setContent(String content)

#### setPath

    public void setPath(IPath path)